# Copyright (c) 2019 Workonline Communications (Pty) Ltd. All rights reserved.
#
# The contents of this file are licensed under the MIT License
# (the "License"); you may not use this file except in compliance with the
# License.
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.
"""prefix_list_agent custom execptions."""

from __future__ import print_function


class TermException(BaseException):
    """Raised when SIGTERM is handled by handle_sigterm."""

    pass


def handle_sigterm(signum, frame):
    """Handle a SIGTERM signal by raising custom exception."""
    raise TermException
